//
//  Location.h
//  Photogether
//
//  Created by Eson Yu on 30/9/11.
//  Copyright 2011 HA. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import "CoreLocation.h"

@interface Location : UIViewController <MKMapViewDelegate, CoreLocationControllerDelegate>
{
    IBOutlet MKMapView* myMapView;
    IBOutlet UILabel* locationLabel;
    IBOutlet UILabel* speed;
    IBOutlet UILabel* latitude;
    IBOutlet UILabel* longitude;
    IBOutlet UILabel* altitude;
    IBOutlet UILabel* course;

    IBOutlet UIButton* back;
    
    CoreLocation *coreLocation;
}

@property(nonatomic, retain) IBOutlet MKMapView* myMapView;
@property(nonatomic, retain) CoreLocation* coreLocation;

-(void)displayMYMap;
-(IBAction)backBtn:(id)sender;

@end
