//
//  SlideControl.h
//  Photogether
//
//  Created by Eson Yu on 21/10/11.
//  Copyright (c) 2011 HA. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface SlideControl : UIView
{
    NSArray * mImages;
	
	UIImageView * mLeftImageView;
	UIImageView * mCurrentImageView;
	UIImageView * mRightImageView;
	
	NSUInteger mCurrentImage;
	
	BOOL mSwiping;
	CGFloat mSwipeStart;
}


- (id)initWithImages:(NSArray *)inImages;

@end
