//
//  LoginUIViewController.h
//  Photogether
//
//  Created by Eson YU on 03/08/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/CAAnimation.h>
#import "Photogether.h"

@interface LoginUIViewController : UIViewController {
    
    IBOutlet UITextField *username;
    IBOutlet UITextField *password;
    CGFloat animatedDistance;
    Photogether *photogether;
    NSUserDefaults *userProfile;
    
}

-(IBAction)login:(NSString *)usr password:(NSString *)pwd;
-(IBAction)loginAction:(id)sender;
-(IBAction)registerAction:(id)sender;
-(IBAction)passwordReturn:(id)sender;
-(IBAction)backgroundTouched:(id)sender;

- (void)textFieldDidBeginEditing:(UITextField *)textField;
- (void)textFieldDidEndEditing:(UITextField *)textField;
- (BOOL)textFieldShouldReturn:(UITextField *)textField;

@end
