//
//  MomentUIViewController.h
//  Photogether
//
//  Created by Eson Yu on 28/8/11.
//  Copyright 2011 HA. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Photogether.h"

@interface MomentUIViewController : UIViewController
{
    IBOutlet UILabel *desc;
    IBOutlet UILabel *createdDate;

    IBOutlet UILabel *owner;
    IBOutlet UILabel *statistics;
    IBOutlet UILabel *takenOn;
    IBOutlet UILabel *occ_topic;
    IBOutlet UILabel *momentTitle;
    
    IBOutlet UIButton *backBtn;
    
    IBOutlet UIScrollView *topBar;
    IBOutlet UIScrollView *picScrollView;
    IBOutlet UIScrollView *picDetails;
    IBOutlet UIImageView *pic;
    
    IBOutlet UIImageView *profile;
    
    bool protraitOrNot;
    bool zoomIn;
    
    NSInteger *currentPicNum;
    
    Photogether *photogether;
    
    NSMutableArray *momentsURL;

}

-(IBAction)backAction:(id)sender;
-(IBAction)rightBtn:(id)sender;
-(IBAction)leftBtn:(id)sender;
-(IBAction)fullBtn:(id)sender;

-(void)loadMoments: (NSString *) url tagNumber:(NSInteger *)tag;
-(void)initAllMomentsURL: (NSArray *)momentsArr;
-(void)fullImageView;

@end
