//
//  OccasionUIViewController.h
//  Photogether
//
//  Created by Eson Yu on 28/8/11.
//  Copyright 2011 HA. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TableCellView.h"
#import "Photogether.h"
#import "ImageLoader.h"

@interface OccasionUIViewController : UIViewController <UITableViewDelegate, UITableViewDataSource, ImageLoaderDelegate>
{
    IBOutlet UITableView *occ_tableView;
    IBOutlet UILabel *username;
    IBOutlet UIImageView *profile;
    
    
	NSMutableArray *arryData;
	NSMutableArray *imagesList;
	NSMutableArray *descpList;
    NSMutableArray *occ_id;
    NSMutableArray *moment_id;
    NSMutableArray *numOfMoment;
    
	IBOutlet TableCellView *tblCell;
    NSInteger imageTagNum;
    
    IBOutlet UIButton *dashboard;
    IBOutlet UIButton *newOcc;
    Photogether *photogether;
    
    NSMutableDictionary *imageDownloadsInProgress; 
    
}

@property (nonatomic, retain) NSMutableDictionary *imageDownloadsInProgress;

-(IBAction) backAction:(id)sender;
-(IBAction) createOccasion:(id)sender;

-(void) loadOccasions;

@end
