//
//  UploadUIView.h
//  Photogether
//
//  Created by Eson Yu on 29/8/11.
//  Copyright 2011 HA. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Photogether.h"

@interface UploadUIView : UIViewController<UIPickerViewDelegate, UIPickerViewDataSource, UITextViewDelegate>
{
    IBOutlet UIImageView *camPic;
    IBOutlet UIPickerView *occPickerView;
    IBOutlet UITextView *momentDesc;
    IBOutlet UITextField *occasionTopic;
    IBOutlet UILabel *oid;
    IBOutlet UIButton *pickerBtn;
    
    IBOutlet UIImageView *profile;
    
    NSMutableArray *arrayNo;
    NSMutableArray *oidArr;
    IBOutlet UIScrollView *content;
    CGFloat animatedDistance;
    
    NSMutableData *uploadResponse;
    Photogether *photogether;

}


- (void)setImage: (UIImage *)_img;
- (IBAction)uploadAction:(id)sender;
- (IBAction)backAction:(id)sender;
- (IBAction)backgroundTouched:(id)sender;


- (IBAction)occasionPicker:(id)sender;

- (void)loadTopics;
- (void)postImage:(UIImage*)theImage;

- (IBAction)pickerBtnSelected:(id)sender;

@end
