//
//  CoreLocation.h
//  Photogether
//
//  Created by Eson Yu on 1/10/11.
//  Copyright 2011 HA. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@protocol CoreLocationControllerDelegate 
@required
- (void)locationUpdate:(CLLocation *)location; // Our location updates are sent here
- (void)locationError:(NSError *)error; // Any errors are sent here
- (void)locationCompass:(CLHeading *)heading; //compass
@end

@interface CoreLocation : NSObject<CLLocationManagerDelegate>
{
    CLLocationManager *locMgr;
	id delegate;
}

@property(nonatomic, retain) CLLocationManager *locMgr;
@property(nonatomic, assign) id delegate;

@end
