//
//  MainUIViewController.h
//  Photogether
//
//  Created by Kwong Fai Yu on 22/8/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MobileCoreServices/MobileCoreServices.h>
#import "Photogether.h"

@interface DashBoardUIViewController : 
    UIViewController < UIActionSheetDelegate, UIImagePickerControllerDelegate, UINavigationControllerDelegate >
{
    IBOutlet UILabel *username;
    IBOutlet UITextView *txtView;
    IBOutlet UITextField *txt;
    IBOutlet UIImageView *imgView;
    IBOutlet UIScrollView *scrollView;
    IBOutlet UIButton *occ_title;
    IBOutlet UILabel *occ_title_label;
    IBOutlet UIButton *nearBy;
    
    IBOutlet UIImageView *cameraPicView;
    IBOutlet UIButton *camera;
    IBOutlet UIButton *library;
    
    BOOL newMedia;
    
    Photogether *photogether;
    
    //
    IBOutlet UIImageView *backgroundA;
    IBOutlet UIImageView *backgroundB;
    NSMutableArray *backgroundImageQueue;
    
    int currentIndex;
    BOOL firstTwoPicDone;
    
    
}

- (IBAction) backAction:(id)sender;
- (IBAction) changeMsg:(NSString *)str;
- (IBAction) logout;
- (IBAction) resignResponse:(id)sender;
- (IBAction) loadThumbnail:(id)sender;
- (IBAction) occasions:(id)sender;
- (void) loadThumbnailAction;
- (void) loadOriginalPic:(id)sender;
- (void) loadOccasionDetails:(id)sender;

- (IBAction)showActionSheet:(id)sender;
- (IBAction)nearByBtn:(id)sender;


- (void)useCamera;
- (void)useCameraRoll;




@end
