//
//  OccassionDetailsUIView.h
//  Photogether
//
//  Created by Eson Yu on 30/8/11.
//  Copyright 2011 HA. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MobileCoreServices/MobileCoreServices.h>
#import "Photogether.h"

@interface OccassionDetailsUIView : UIViewController < UIActionSheetDelegate, UIImagePickerControllerDelegate, UINavigationControllerDelegate >
{
    IBOutlet UIImageView *profileImgView;
    IBOutlet UIScrollView *scrollView;
    IBOutlet UILabel *occ_topic;
    NSString *occ_id;
    NSNumber *numOfMoments;
    int page;
    int tagNumber;
    
    IBOutlet UIImageView *cameraPicView;
    IBOutlet UIButton *camera;
    IBOutlet UIButton *library;
    
    BOOL newMedia;
    
    Photogether *photogether;
    
    NSMutableArray *momentsArr;
    
    IBOutlet UIButton *moreBtn;
    
    
}

- (IBAction) backAction:(id)sender;
- (void) loadThumbnailAction;
- (void) setOcc_id:(NSString *)oid numOfMoment:(NSNumber *)num;
- (void) loadOriginalPic:(id)sender;

- (IBAction)occasions:(id)sender;

- (IBAction)showActionSheet:(id)sender;

- (void)useCamera;
- (void)useCameraRoll;

@end
